## hfst 3.16.2

=== debian/changelog ===
hfst (3.16.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Bump S-V to 4.7.0
    + Relax Replaces/Conflicts so multiple libhfst can co-exist

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 31 Jan 2025 11:11:31 +0100
