=== debian/control ===
Source: hfst
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               bison,
               debhelper-compat (= 13),
               dh-sequence-python3,
               flex,
               libfoma-dev,
               libfst-dev,
               libicu-dev,
               libreadline-dev,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://hfst.github.io/
Vcs-Git: https://salsa.debian.org/science-team/hfst.git
Vcs-Browser: https://salsa.debian.org/science-team/hfst
Rules-Requires-Root: no

Package: hfst
Architecture: any
Depends: libhfst55 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.

Package: libhfst55
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst
Description: Helsinki Finite-State Transducer Technology Libraries
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides runtime libraries for HFST.

Package: libhfst-dev
Architecture: any
Section: libdevel
Depends: hfst (= ${binary:Version}),
         libhfst55 (= ${binary:Version}),
         libicu-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology Development files
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides development headers and libraries for HFST

Package: python3-hfst
Architecture: any
Section: python
Depends: libhfst55 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Breaks: python3-libhfst (<< 3.15.4)
Replaces: python3-libhfst (<< 3.15.4)
XB-Python-Version: ${python3:Versions}
Description: Helsinki Finite-State Transducer Technology (Python3 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python3 module for libhfst.

Package: python3-libhfst
Architecture: all
Section: oldlibs
Depends: python3-hfst (>= ${binary:Version}), ${misc:Depends}
Description: Transitional dummy package for python3-hfst
 This is a transitional dummy package. It can safely be removed.
